Bug 440226 - crash when "samba" button clicked
crash when "samba" button clicked
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kdebase-workspace (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-02 08:42 EDT by Dean Mander
Modified: 2008-09-10 03:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-10 03:19:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 156423 None None None Never

  None (edit)
Description Dean Mander 2008-04-02 08:42:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9pre) Gecko/2008032721 Fedora/3.0-0.50.cvs20080327.fc9 Minefield/3.0pre

Description of problem:
debugging info below

Version-Release number of selected component (if applicable):
kdebase-workspace-4.0.3-3.fc9.i386

How reproducible:
Always


Steps to Reproduce:
1. start kde system settings
2. goto "advanced" tab
3. click the "samba" button (next to "login manager")


Actual Results:
application crashes

Expected Results:


Additional info:
debug info:
(no debugging symbols found)
<SNIP>
(no debugging symbols found)
[Thread debugging using libthread_db enabled]
[New Thread 0xb803e720 (LWP 3407)]
(no debugging symbols found)
<SNIP>
(no debugging symbols found)
[KCrash handler]
#6  0x010c4291 in QWidget::testAttribute_helper () from /usr/lib/libQtGui.so.4
#7  0x010ca73f in QWidget::setAttribute () from /usr/lib/libQtGui.so.4
#8  0x010cbd50 in QWidget::setEnabled () from /usr/lib/libQtGui.so.4
#9  0x03aa9963 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#10 0x03a8f13b in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#11 0x03a8f8c7 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#12 0x03a8fb53 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#13 0x00226ef7 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#14 0x00227cb2 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
#15 0x03a90f57 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#16 0x03a93eb3 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#17 0x03a8bbdd in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#18 0x03a8db5f in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#19 0x03a8dc9e in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so
#20 0x03a8dddd in create_KcmSambaConf ()
   from /usr/lib/kde4/kcm_kcmsambaconf.so
#21 0x00b42009 in KCModuleLoader::loadModule () from /usr/lib/libkutils.so.4
#22 0x00b47b5d in ?? () from /usr/lib/libkutils.so.4
#23 0x00b48c83 in KCModuleProxy::realModule () from /usr/lib/libkutils.so.4
#24 0x00b48de8 in KCModuleProxy::buttons () from /usr/lib/libkutils.so.4
#25 0x0805a3d8 in _start ()
#0  0x00131416 in __kernel_vsyscall ()
Comment 1 Rex Dieter 2008-04-02 08:56:43 EDT
confirmed.

If possible, please report upstream to bugs.kde.org.
Comment 2 Kevin Kofler 2008-04-02 09:02:10 EDT
A backtrace with debugging information would be useful, we really need to know 
where the heck "#9  0x03aa9963 in ?? () from /usr/lib/kde4/kcm_kcmsambaconf.so" 
actually is.
Comment 3 Dean Mander 2008-04-02 10:11:26 EDT
There is no debuginfo package,
but anyway, it's already reported upstream:

https://bugs.kde.org/show_bug.cgi?id=156423
Comment 4 Rex Dieter 2008-04-02 10:22:50 EDT
debuginfo-install kdebase-workspace
should do the trick.
Comment 5 Kevin Kofler 2008-04-02 10:25:06 EDT
Right, but the upstream bug already has a valid backtrace anyway.
Comment 6 Lukáš Tinkl 2008-04-02 10:34:02 EDT
http://websvn.kde.org/?view=rev&revision=783762 is the fix :)
Comment 7 Kevin Kofler 2008-04-02 10:41:00 EDT
IMHO this should be backported both to the upstream 4.0 branch and to our F9 
4.0.3 packages.
Comment 8 Kevin Kofler 2008-04-02 10:46:04 EDT
Uh, are you sure that commit fixes this same bug? That commit is for kio_smb, 
not kcm_kcmsambaconf!
Comment 9 Bug Zapper 2008-05-14 04:34:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Fedora Update System 2008-07-30 16:07:09 EDT
kdeutils-4.1.0-1.fc9.1, kdeedu-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, PyQt4-4.4.2-2.fc9, automoc-1.0-0.8.rc1.fc9, phonon-4.2.0-2.fc9, kdegraphics-4.1.0-3.fc9, kdelibs-4.1.0-2.fc9, kdebase-runtime-4.1.0-1.fc9, akonadi-1.0.0-1.fc9, kdepimlibs-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, kde-filesystem-4-17.fc9, kde-l10n-4.1.0-2.fc9, kdebase-workspace-4.1.0-3.fc9, kdemultimedia-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdeaccessibility-4.1.0-1.fc9, kdegames-4.1.0-1.fc9, kdeplasma-addons-4.1.0-1.fc9, qscintilla-2.2-3.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.0-16.fc9, kdebindings-4.1.0-5.fc9, kdeartwork-4.1.0-1.fc9, kde-i18n-3.5.9-8.fc9, kdeadmin-4.1.0-2.fc9, kdebase-4.1.0-1.fc9.1, soprano-2.1-1.fc9, sip-4.7.6-1.fc9, kdenetwork-4.1.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeutils kdeedu qgtkstyle PyQt4 automoc phonon kdegraphics kdelibs kdebase-runtime akonadi kdepimlibs kdesdk kde-filesystem kde-l10n kdebase-workspace kdemultimedia kdetoys kdeaccessibility kdegames kdeplasma-addons qscintilla compiz qt kdebindings kdeartwork kde-i18n kdeadmin kdebase soprano sip kdenetwork'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743
Comment 11 Fedora Update System 2008-08-07 19:48:45 EDT
kdebase-runtime-4.1.0-1.fc9, kdeaccessibility-4.1.0-1.fc9, kdegames-4.1.0-1.fc9, kdeplasma-addons-4.1.0-1.fc9, kdebase-workspace-4.1.0-8.fc9, kdebase-4.1.0-1.fc9.1, qgtkstyle-0.0-0.2.20080719svn693.fc9, qt-4.4.0-17.fc9, kdeutils-4.1.0-1.fc9.1, qscintilla-2.2-3.fc9, kdegraphics-4.1.0-3.fc9, kde-i18n-3.5.9-8.fc9, kdeartwork-4.1.0-1.fc9, kdeedu-4.1.0-1.fc9, compiz-0.7.6-3.fc9.1, PyQt4-4.4.2-2.fc9, automoc-1.0-0.8.rc1.fc9, phonon-4.2.0-2.fc9, akonadi-1.0.0-2.fc9, kdenetwork-4.1.0-2.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, sip-4.7.6-1.fc9, kdepimlibs-4.1.0-2.fc9, kdelibs-4.1.0-4.fc9, kdebindings-4.1.0-5.fc9, kdesdk-4.1.0-1.fc9, kde-filesystem-4-17.fc9, soprano-2.1-1.fc9, kde-l10n-4.1.0-2.fc9, kdemultimedia-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdebase-runtime kdeaccessibility kdegames kdeplasma-addons kdebase-workspace kdebase qgtkstyle qt kdeutils qscintilla kdegraphics kde-i18n kdeartwork kdeedu compiz PyQt4 automoc phonon akonadi kdenetwork quarticurve-kwin-theme sip kdepimlibs kdelibs kdebindings kdesdk kde-filesystem soprano kde-l10n kdemultimedia kdetoys kdeadmin'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743
Comment 12 Fedora Update System 2008-08-12 14:18:47 EDT
kdelibs-4.1.0-5.fc9, kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, phonon-4.2.0-2.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdegraphics-4.1.0-3.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdebase-runtime-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdelibs kdeedu quarticurve-kwin-theme kdeartwork kdetoys kdesdk PyQt4 kde-i18n kdebase sip phonon kdebase-workspace automoc kdegames akonadi soprano konq-plugins compiz qt qscintilla kdepimlibs kdegraphics kdebindings kdenetwork kde-l10n kdeplasma-addons qgtkstyle kdeutils kdemultimedia kdebase-runtime kdeadmin kde-filesystem kdeaccessibility'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-6743
Comment 13 Fedora Update System 2008-09-10 03:18:46 EDT
kdeedu-4.1.0-1.fc9, quarticurve-kwin-theme-0.0-0.5.beta4.fc9, kdeartwork-4.1.0-1.fc9, kdetoys-4.1.0-1.fc9, kdesdk-4.1.0-1.fc9, PyQt4-4.4.2-2.fc9, kde-i18n-3.5.9-8.fc9, kdebase-4.1.0-1.fc9.1, sip-4.7.6-1.fc9, kdebase-workspace-4.1.0-8.fc9, automoc-1.0-0.8.rc1.fc9, kdegames-4.1.0-2.fc9, akonadi-1.0.0-2.fc9, soprano-2.1-1.fc9, konq-plugins-4.1.0-2.fc9, compiz-0.7.6-3.fc9.1, qt-4.4.1-2.fc9, qscintilla-2.2-3.fc9, kdepimlibs-4.1.0-2.fc9, kdebindings-4.1.0-5.fc9, kdenetwork-4.1.0-2.fc9, kde-l10n-4.1.0-2.fc9, kdeplasma-addons-4.1.0-1.fc9, qgtkstyle-0.0-0.2.20080719svn693.fc9, kdeutils-4.1.0-1.fc9.1, kdemultimedia-4.1.0-1.fc9, kdeadmin-4.1.0-2.fc9, kde-filesystem-4-17.fc9, kdeaccessibility-4.1.0-1.fc9, kdebase-runtime-4.1.0-3.fc9, phonon-4.2.0-4.fc9, kdegraphics-4.1.0-5.fc9, kdelibs-4.1.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.